MCP Tools Reference: netapp.googleapis.com

Tool: get_snapshot

Get snapshot in a given project and location.

The following sample demonstrates how to use curl to invoke the get_snapshot MCP tool.

Curl Request
                  
curl --location 'https://netapp.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "get_snapshot",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

Input Schema

GetSnapshotRequest gets the state of a snapshot.

GetSnapshotRequest

JSON representation
{
  "name": string
}
Fields
name

string

Required. The snapshot resource name, in the format projects/{project}/locations/{location}/volumes/{volume_id}/snapshots/{snapshot_id}

Output Schema

Snapshot is a point-in-time version of a Volume's content.

Snapshot

JSON representation
{
  "name": string,
  "state": enum (State),
  "stateDetails": string,
  "description": string,
  "usedBytes": number,
  "createTime": string,
  "labels": {
    string: string,
    ...
  }
}
Fields
name

string

Identifier. The resource name of the snapshot. Format: projects/{project}/locations/{location}/volumes/{volume_id}/snapshots/{snapshot_id}.

state

enum (State)

Output only. The snapshot state.

stateDetails

string

Output only. State details of the storage pool

description

string

A description of the snapshot with 2048 characters or less. Requests with longer descriptions will be rejected.

usedBytes

number

Output only. Current storage usage for the snapshot in bytes.

createTime

string (Timestamp format)

Output only. The time when the snapshot was created.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

labels

map (key: string, value: string)

Resource labels to represent user provided metadata.

An object containing a list of "key": value pairs. Example: { "name": "wrench", "mass": "1.3kg", "count": "3" }.

Timestamp

JSON representation
{
  "seconds": string,
  "nanos": integer
}
Fields
seconds

string (int64 format)

Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be between -62135596800 and 253402300799 inclusive (which corresponds to 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z).

nanos

integer

Non-negative fractions of a second at nanosecond resolution. This field is the nanosecond portion of the duration, not an alternative to seconds. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be between 0 and 999,999,999 inclusive.

LabelsEntry

JSON representation
{
  "key": string,
  "value": string
}
Fields
key

string

value

string

State

The Snapshot States

Enums
STATE_UNSPECIFIED Unspecified Snapshot State
READY Snapshot State is Ready
CREATING Snapshot State is Creating
DELETING Snapshot State is Deleting
UPDATING Snapshot State is Updating
DISABLED Snapshot State is Disabled
ERROR Snapshot State is Error

Tool Annotations

Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌